Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSBridgeDestinationMBean

All Superinterfaces:
  BridgeDestinationCommonMBean, ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface JMSBridgeDestinationMBean
extends BridgeDestinationCommonMBean

This MBean represents a messaging bridge destination for a JMS messaging product. Each messaging bridge consists of two destinations that are being bridged:

- Source: The message producing destination. A bridge instance consumes messages from the source destination.

- Target: The destination where a bridge instance forwards messages produced by the source destination.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_INITIAL_CONTEXT_FACTORY`

Fields inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`JMS_XA_ADAPTER_JNDI`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getConnectionFactoryJNDIName()` The connection factory's JNDI name for this JMS bridge destination.
`String` | `getConnectionURL()` The connection URL for this JMS bridge destination.
`String` | `getDestinationJNDIName()` The destination JNDI name for this JMS bridge destination.
`String` | `getDestinationType()` The destination type (queue or topic) for this JMS bridge destination.
`String` | `getInitialContextFactory()` The initial context factory name for this JMS bridge destination.
`void` | `setConnectionFactoryJNDIName(String jndi)` Sets the value of the `ConnectionFactoryJNDIName` attribute.
`void` | `setConnectionURL(String jndi)` Sets the value of the `ConnectionURL` attribute.
`void` | `setDestinationJNDIName(String jndi)` Sets the value of the `DestinationJNDIName` attribute.
`void` | `setDestinationType(String type)` Sets the value of the `DestinationType` attribute.
`void` | `setInitialContextFactory(String jndi)` Sets the value of the `InitialContextFactory` attribute.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, getUserPasswordEncrypted, setAdapterJNDIName, setClasspath, setUserName, setUserPassword, setUserPasswordEncrypted`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### DEFAULT_INITIAL_CONTEXT_FACTORY

    public static final String DEFAULT_INITIAL_CONTEXT_FACTORY

See Also:
  Constant Field Values

Method Detail

### getConnectionFactoryJNDIName

    public String getConnectionFactoryJNDIName()

  The connection factory's JNDI name for this JMS bridge destination.

  Returns:
    The connectionFactoryJNDIName value

### getConnectionURL

    public String getConnectionURL()

  The connection URL for this JMS bridge destination.

  Returns:
    The connectionURL value

### getDestinationJNDIName

    public String getDestinationJNDIName()

  The destination JNDI name for this JMS bridge destination.

  Returns:
    The destinationJNDIName value
  A dynamic MBean attribute.
    false

### getDestinationType

    public String getDestinationType()

  The destination type (queue or topic) for this JMS bridge destination.

  Returns:
    The destinationType value

### getInitialContextFactory

    public String getInitialContextFactory()

  The initial context factory name for this JMS bridge destination.

  Returns:
    The initialContextFactory value

### setConnectionFactoryJNDIName

    public void setConnectionFactoryJNDIName(String jndi)
                                      throws InvalidAttributeValueException

  Sets the value of the `ConnectionFactoryJNDIName` attribute.

  Parameters:
    `jndi` - The new connectionFactoryJNDIName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectionFactoryJNDIName()`
  A dynamic MBean attribute.
    false

### setConnectionURL

    public void setConnectionURL(String jndi)
                          throws InvalidAttributeValueException

  Sets the value of the `ConnectionURL` attribute.

  Parameters:
    `jndi` - The new connectionURL value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectionURL()`
  A dynamic MBean attribute.
    false

### setDestinationJNDIName

    public void setDestinationJNDIName(String jndi)
                                throws InvalidAttributeValueException

  Sets the value of the `DestinationJNDIName` attribute.

  Parameters:
    `jndi` - The new destinationJNDIName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDestinationJNDIName()`
  A dynamic MBean attribute.
    false

### setDestinationType

    public void setDestinationType(String type)
                            throws InvalidAttributeValueException

  Sets the value of the `DestinationType` attribute.

  Parameters:
    `type` - The new destinationType value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDestinationType()`
  Default value:
    JMSConstants.DESTINATION_TYPE_QUEUE
  Legal values:
    JMSConstants.DESTINATION_TYPE_QUEUE, JMSConstants.DESTINATION_TYPE_TOPIC
  A dynamic MBean attribute.
    false

### setInitialContextFactory

    public void setInitialContextFactory(String jndi)
                                  throws InvalidAttributeValueException

  Sets the value of the `InitialContextFactory` attribute.

  Parameters:
    `jndi` - The new initialContextFactory value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getInitialContextFactory()`
  Default value:
    JMSBridgeDestinationMBean.DEFAULT_INITIAL_CONTEXT_FACTORY
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD